#!/usr/bin/env python
# -*- coding: utf-8 -*-

import threading
import os
import wiringpi as wpi

class MyThread(threading.Thread):

    def __init__(self):
        threading.Thread.__init__(self)

    def run(self):
        while 1:
                wpi.softPwmWrite(1,0)
                wpi.delay(100)
                wpi.softPwmWrite(1,10)
                wpi.delay(100)
                wpi.softPwmWrite(1,50)
                wpi.delay(100)
                wpi.softPwmWrite(1,100)
                wpi.delay(100)
                wpi.softPwmWrite(1,50)
                wpi.delay(100)
                wpi.softPwmWrite(1,10)

wpi.wiringPiSetup()
wpi.pinMode(2,0) # sets pin 2 to input
wpi.pullUpDnControl(2,2); # sets pin 2 to pullup
wpi.softPwmCreate(1,0,100) # PWM PORT 1 , PWM RANGE  0 to 100

def main():
    my_thread = MyThread()
    my_thread.setDaemon(True)
    my_thread.start()

    i = 0
    while 1:
        if wpi.digitalRead(2) == 1:
                i = 0
        else:
                i += 1
                if i > 10:
                        print"Shutdown now!!"
                        os.system("sudo shutdown -h now")
                        i = 0
                else:
                        pass
        wpi.delay(100)

main()
